
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Shell脚本中使用function（函数）示例_linux shell / iVAN</title>

    <meta name="description" content="Shell脚本中使用function（函数）示例_linux shell 函数可以在shell script当中做一个类似自定义执行命令,最大的功能就是可以简化我们很多的程序代码.需要注意的是shell script的执行方式是由上而下/由左而右,因此在shellscript当中的function的设置一定要在程序的最前面,这样才能够在执行时被找到可用的程序段. 复制代码 代码如下: #!/bin/bash # Program #    This program is to show the use of &quot;function&quot; # History  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Shell脚本中使用function（函数）示例_linux shell</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>函数可以在shell script当中做一个类似自定义执行命令，最大的功能就是可以简化我们很多的程序代码。需要注意的是shell script的执行方式是由上而下/由左而右，因此在shellscript当中的function的设置一定要在程序的最前面，这样才能够在执行时被找到可用的程序段。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#!/bin/bash<br />
# Program<br />
#    This program is to show the use of "function"<br />
# History<br />
# 2013/5/4 by Lvcy First release<br />
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/loacl/sbin:~/bin<br />
export PATH<br />
 <br />
#输出统一信息<br />
function printInfo ()<br />
{<br />
        echo -n "Your choice is "<br />
}<br />
#将小写字符转换为大写字符<br />
function dotr()<br />
{<br />
        tr 'a-z' 'A-Z'<br />
}<br />
read -p "Please input your choice(one|two|three|four):" num<br />
#用case做条件判断<br />
case $num in<br />
        "one")<br />
                printInfo; echo $num | dotr<br />
                ;;<br />
        "two")<br />
                printInfo; echo $num | dotr<br />
                ;;<br />
        "Three")<br />
                printInfo; echo $num | dotr<br />
                ;;<br />
        "four") printInfo; echo $num | dotr<br />
                ;;<br />
esac<br />
exit 0</p>
<p>下面是一个一般的带有function函数的shell脚本：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#!/bin/bash<br />
# Program<br />
#    This program is show the params of function<br />
# History<br />
#    2013/5/14 by Lvcy First release<br />
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin<br />
export PATH<br />
function printInfo()<br />
{<br />
        echo "Your choice is $1"<br />
}<br />
case $1 in<br />
        "one")<br />
                printInfo 1<br />
                ;;<br />
        "two")<br />
                printInfo 2<br />
                ;;<br />
        "three")<br />
                printInfo 3<br />
                ;;<br />
        "four")<br />
                printInfo 4<br />
                ;;<br />
esac<br />
<br />exit 0</p>
<p>若以上文件名为sh02.sh,则执行这个script的命令为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>sh sh02.sh one</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 21:19:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e4%bd%bf%e7%94%a8function/" title="使用function">使用function</a>, <a href="https://www.iamivan.net/tag/shell%e8%84%9a%e6%9c%ac/" title="shell脚本">shell脚本</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Shell脚本中使用function（函数）示例_linux shell的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynxDEp.html" rel="bookmark">Linux中执行shell脚本的4种方法总结&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				bash shell 脚本的方法有多种,现在作个小结.假设我们编写好的shell脚本的文件名为hello.sh,文件位置在/data/shell目录中并已有执行权限. 方法一:切换到shell脚本所在的目录(此时,称为工作目录)执行shell脚本: 复制代码 代码如下: cd /data/shell ./hello.sh ./的意思是说在当前的工作目录下执行hello.sh.如果不加上./,bash可能会响应找到不到hello.sh的错误信息.因为目前的工作目录(/data/shell)可能不在			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M02rBAz.html" rel="bookmark">shell脚本中用于评估函数执行时间的接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ksh_timer 被设计用来帮助 ksh 或 ksh93 脚本管理员或http://www.aliyun.com/zixun/aggregation/7155.html&quot;&gt;开发人员计算每个函数及其 shell 脚本用户定义部分所用的时间. 以下几个要点定义了 ksh_timer 的功能: 如果在 ksh_timer 中运行脚本, 那么该脚本调用的函数是自动计时的. 用户使用 ##KTB &lt;section_name&gt;(这部分的开始)和 ##KTE &lt;section_nam			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba63KqM.html" rel="bookmark">shell脚本编写的俄罗斯方块游戏代码&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				粘贴以下代码到一个空的Shell脚本文件中,并在Bash 中运行即可! 复制代码 代码如下: #!/bin/bash # Tetris Game# 10.21.2003 xhchen&lt;[email]xhchen@winbond.com.tw[/email]&gt; #APP declarationAPP_NAME=&quot;${0##*[\\/]}&quot;APP_VERSION=&quot;1.0&quot;  #颜色定义cRed=1cGreen=2cYellow=3cBlue=4cFuchs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBYnaAz.html" rel="bookmark">Shell脚本实现自动修改IP地址&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一名Linux SA,日常运维中很多地方都会用到脚本,而服务器的ip一般采用静态ip或者MAC绑定,当然后者比较操作起来相对繁琐,而前者我们可以设置主机名.ip信息.网关等配置.修改成特定的主机名在维护和管理方面也比较方便.如下脚本用途为:修改ip和主机名等相关信息,可以根据实际需求修改,举一反三! #!/bin/sh #auto Change ip netmask gateway scripts #wugk 2012-12-17 cat &lt;&lt; EOF ++++++++自动修改ip和主机名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnk1qp.html" rel="bookmark">Shell脚本实现的memcached进程监控&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WEB服务器使用memcached,但是不知道为什么memcached老是挂掉(基本20分钟-50分钟左右),导致部分网站页面在访问的时候出错:定义日志后,查看日志也未能发现什么:初步判定由于之前更新libevent有关系.由于线上服务器,所以先用脚本来弥补下 #!/bin/sh pid=`ps aux|grep -v grep|grep memcached|awk '{print $2}'` memcached=`/usr/local/memcached/bin/memcached -u ww			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1XEQb.html" rel="bookmark">shell脚本自动修复mysql损坏的表&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述:最近查看mysql数据库服务器日志,老发现有表损坏的错误日志,比如:120724 7:30:48 [ERROR] /data/soft/mysql/libexec/mysqld: Table './blog/wp_links' is marked as crashed and last (automatic?) repair failed 手动修复了表后正常了,没过几天又发现出现错误. 解决方法:于是就写了个脚本来自动修复.是根据一定时间检测一次日志,如果有这样的错误记录时,就对出错的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QxJ5M.html" rel="bookmark">shell脚本实现实时检测文件变更&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用python做web开发,现在流行使用uwsgi调用python程序,但是使用uwsgi一段时间发现有一个弊端,就是每次更改源代码后必须重启uwsgi才能生效,包括更改模板文件也是,我是个懒人,再经过一段时间反复的更改-重启后我终于忍受不了,决定写一个脚本来定时程序目录的文件改动,并及时自动重启uwsgi,来解放我的双手可以不用理会这些琐碎的重启工作. 用了点时间来编写了一个脚本用来判断是否更改,然后判断是否需要重启uwsgi. 下面放出脚本内容: #!/bin/bash # Author			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOq17b.html" rel="bookmark">Shell脚本遍历一个日期范围实例&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果跟shell脚本打交道,遍历一个时间范围是很常见的事情,那么今天就跟大家分享一下: 复制代码 代码如下: #!/usr/bin/env bash date1=&quot;$1&quot; date2=&quot;$2&quot; echo &quot;date1: $date1&quot; echo &quot;date2: $date2&quot; tempdate=`date -d &quot;-0 day $date1&quot; +%F` enddate=`date -d &quot;-0 d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Qx85M.html" rel="bookmark">Shell脚本实现自动输入密码登录服务器&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Linux的程序员对输入密码这个举动一定不陌生,在Linux下对用户有严格的权限限制,干很多事情越过了权限就得输入密码,比如使用超级用户执行命令,又比如ftp.ssh连接远程主机等等,如下图: 那么问题来了,在脚本自动化执行的时候需要输入密码怎么办?比如你的脚本里有一条scp语句,总不能在脚本执行到这一句时手动输入密码吧. 针对于ssh或scp命令,可能有人会回答是建立信任关系,关于建立ssh信任关系的方法请自行百度Google,只需要两行简单的命令即可搞定,但这并不是常规的解决方案,如果是			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK0WOM.html" rel="bookmark" class="title">如何让Linux运行在U盘上</a>
					<div>
						  Linux也有不同的版本,虽然各自都有各自的优点,但其内核都差不多.给大家推荐这个操作系统是:Ubuntu.首先要下载这个系统安装软件,ISO文件Ubuntu11.10版本 将下载的ISO安装文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDJyXM.html" rel="bookmark" class="title">jsp和excel的数据交换-----我的项目实践</a>
					<div>
						excel|js|数据|项目 前段时间,客户要求我们的系统可以实现与ms excel的数据交换,可以把系统中的数据导入导出到excel.我们的系统是一个用java做的b/s结构的MIS系统.为了解决这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGnmkp.html" rel="bookmark" class="title">register</a>
					<div>
						详解 register_globals使用详解 register_globals是php.ini里的一个配置,这个配置影响到php如何接收传递过来的参数,如果你的问题是:为什么我的表单无法传递数据?为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEY2db.html" rel="bookmark" class="title">mahout算法中new Configuration问题</a>
					<div>
						版本:hadoop2.4+mahout0.9 在web程序中调用云平台mahout的算法时,有时会遇到找不到路径的问题,比如org.apache.mahout.clustering.classify. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBNY4b.html" rel="bookmark" class="title">第十七章-SQL编程（一）&lpar;3&rpar;</a>
					<div>
						17.3.3 通过TQuery部件如何获得活动的数据 我们在前面的章节里介绍TTable部件时,我们知道通过TTable部件从数据库中获得的数据都是活动的,也就是说用户可以直接通过数据浏览部件对这些数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yWOoz.html" rel="bookmark" class="title">Ajax 让网页木马&OpenCurlyDoubleQuote;悄悄的执行&rdquo;</a>
					<div>
						关于Ajax的执行,开发人员是这样想的&quot;Ajax要做到,在用户浏览网页时应该感觉不到的它的执行(异步),不需要等待页面刷新就可以自动完成验证数据&quot;,比如用户名是否可以注册等.每当我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2ayrM.html" rel="bookmark" class="title">性能优化总结（四）：预加载的设计</a>
					<div>
						本节说一下数据的预加载.这节的内容与SQL没什么关系.主要说的是在 GIX4项目 中,我们是如何设计符合需求的预加载类库的.内 容如下: 1. 什么是预加载,为什么要用它? 2. 我们所需要的API  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4aDNp.html" rel="bookmark" class="title">IOS中的各种Picker详解</a>
					<div>
						简述 在应用的一些设置中经常要用到一些Picker来快速帮助用户选定取值,一般会用到的有 UIDatePicker,UIPickerView以及UIImagePickerController. 初始界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7nnlb.html" rel="bookmark" class="title">linux网络编程之socket（十三） epoll系列函数简介与select、poll的区别</a>
					<div>
						一.epoll 系列函数简介 #include &lt;sys/epoll.h&gt; int epoll_create(int size); int epoll_create1(int flags) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyGA3b.html" rel="bookmark" class="title">360怎么查看电脑配置</a>
					<div>
						  360怎么查看电脑配置?当我们准备选购电脑的时候,首先就要学会看电脑的配置,而看电脑配置的方法有很多种,其中最简单的就是用360查看电脑配置.通过360,电脑的属性和配置都可以全面的有个直观的认识 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYRxAM.html" rel="bookmark" class="title">遍历DOM对象内的元素属性示例代码</a>
					<div>
						 如何遍历DOM对象内的元素属性,例如要获取一个id为btn的按钮的所有属性该怎么实现呢?下面有个不错的教程,大家可以参考下 直接上代码:    例如要获取一个id为&quot;btn&quot;的按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7l8Db.html" rel="bookmark" class="title">让Word也能批量打印标签</a>
					<div>
						  为了迎接上级检查和规范档案管理,学校决定将档案室的所有档案都重新归档整理,如每位教师的业务档案的档案盒标签就要求统一打印成如下图样子.二百多个标签如果直接在WPS或Word中利用表格完成,将是非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGRVrp.html" rel="bookmark" class="title">linkbutton-求助：如何实现Asp&period;net的GridView里Linkbutton的enable&equals;false？？？</a>
					<div>
						问题描述 求助:如何实现Asp.net的GridView里Linkbutton的enable=false??? 我在Asp.net前台页面Source里面添加了一个GridView,里面嵌套了一个Li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Yk7RM.html" rel="bookmark" class="title">探讨php define&lpar;&rpar;函数及defined&lpar;&rpar;函数使用详解&lowbar;php技巧</a>
					<div>
						The define() function defines a constant.define()函数的作用是:定义一个常量. Constants are much like variables, e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YEKoM.html" rel="bookmark" class="title">设计-mysql 什么是一对多的关系？</a>
					<div>
						问题描述 mysql 什么是一对多的关系? mysql 设计的时候 什么是一对多的关系?什么是一对一的关系,什么是多对多的关系? 解决方案 一般来说,是设置从表的主键参照主表的主键来达到1:1的关系  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW29Vp.html" rel="bookmark" class="title">论checkbox和radio的样式美化问题</a>
					<div>
						原文:论checkbox和radio的样式美化问题 如果你下定决心要改变现有的默认的checkbox和radio的样式,那么我目前有两种办法: 1.自己动手写一个,也就是自己写代码实现将input的c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN75JNp.html" rel="bookmark" class="title">SSIS从理论到实战&comma;再到应用&lpar;2&rpar;----SSIS包的控制流</a>
					<div>
						原文:SSIS从理论到实战,再到应用(2)----SSIS包的控制流     前文回顾:   SSIS从理论到实战,再到应用(1)----创建自己的第一个包     上次说到创建了自己的第一个包,完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Dr2z.html" rel="bookmark" class="title">注意这五点 跳出云供应商的计费陷阱</a>
					<div>
						本文讲的是注意这五点 跳出云供应商的计费陷阱[IT168 编译]有一个公认的事实是,将业务迁移到云上将有助于节约小型业务的成本.然而,使用云服务是要付出一些关联代价的,虽然那些代价一开始看起来微不足道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAE13M.html" rel="bookmark" class="title">json 数据库-如何将&period;json格式数据存储到数据中？</a>
					<div>
						问题描述 如何将.json格式数据存储到数据中? 该数据有1.3Gb只能通过 ultraedit打开,像记事本什么的无法打开,我想将数据存储到MySQL表中,这该如何实现? 解决方案 什么数据这么大, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKenLb.html" rel="bookmark" class="title">2017必备的八款最佳反勒索软件工具</a>
					<div>
						勒索软件 WannaCry 使用了由 Shadow Brokers 泄露的两个 NSA 黑客工具,它能够感染成千上万台运行未打补丁的 Windows 系统的计算机.目前看来,这款勒索软件带来的风波似乎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqw0Ob.html" rel="bookmark" class="title">js 判断脚本加载完毕的代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: if(this.isIE) { js.onreadystatechange=function(){if(js.readyState==&quot;loaded&quot; ||  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Al3p.html" rel="bookmark" class="title">前端开发-javascript做表单验证的时候没有调用函数？</a>
					<div>
						问题描述 javascript做表单验证的时候没有调用函数? &lt;form&gt; 用户名: &lt;input type=&quot;text&quot;name=&quot;username& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZGO6p.html" rel="bookmark" class="title">是我的账号不对么-App Store的提交问题  PLA 1&period;2</a>
					<div>
						问题描述 App Store的提交问题 PLA 1.2 PLA 1.2 We found that the Seller and/or Artist names associated with you ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW0vPz.html" rel="bookmark" class="title">深入Mysql字符集设置分析&lowbar;Mysql</a>
					<div>
						基本概念 • 字符(Character)是指人类语言中最小的表义符号.例如'A'.'B'等: • 给定一系列字符,对每个字符赋予一个数值,用数值来代表对应的字符,这一数值就是字符的编码(Encodin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0DkVp.html" rel="bookmark" class="title">seajs1&period;3&period;0源码解析之module依赖有序加载&lowbar;javascript技巧</a>
					<div>
						这里是seajs loader的核心部分,有些IE兼容的部分还不是很明白,主要是理解各个模块如何依赖有序加载,以及CMD规范. 代码有点长,需要耐心看: 复制代码 代码如下: /** * The co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV8mBz.html" rel="bookmark" class="title">即将步入职场的程序猿求推荐技术相关的书</a>
					<div>
						问题描述 今天刚签了工作,北京恒华伟业,走的是JAVA研发,感觉自己的知识储备太少了,求各位大大推荐应该学习那些知识啊,求推荐一些书籍.小弟谢过了啊. 解决方案 解决方案二:刚毕业就看,轻量级JAVA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1mYkb.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;8&period;25 基于演化优化的生物网络配准</a>
					<div>
						8.25 基于演化优化的生物网络配准 生物网络配准是为了找到不同种群之间不同蛋白质网络的相似子图.生物网络配准可以帮助我们预测蛋白质功能.网络配准主要分为局部网络配准和全局网络配准两种.局部网络配准是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm1Kxb.html" rel="bookmark" class="title">webservice iis-IIS接收并发请求时出现错误</a>
					<div>
						问题描述 IIS接收并发请求时出现错误 我把一个webservcie发布到了IIS上,然后写了测试程序,用for语句并发了20个请求,出现下面的错误An unhandled win32 excepti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWrEGp.html" rel="bookmark" class="title">谷歌将不再把应用内购物APP标注为免费</a>
					<div>
						谷歌将不再把 应用内购物APP标注为免费7月20日,到今年9月底,谷歌将不再把支持应用内购物的APP标注为&quot;免费&quot;,尽管这项政策率先在欧洲实行,但很有可能逐渐影响到谷歌的全球用户. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAgVOp.html" rel="bookmark" class="title">专家称iPhone获取用户信息漏洞疑后门</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新京报讯 (记者 林其玲) 日前, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
